<?php

$file = file('zipcode.csv', FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
array_shift($file);

foreach ($file as $line_no => $line) {
	//""58254","Mcville","ND","47.765244","-98.16357","-6","1"\n"

/*
array(7) {
  [0] =>
  string(7) ""00210""
  [1] =>
  string(12) ""Portsmouth""
  [2] =>
  string(4) ""NH""
  [3] =>
  string(11) ""43.005895""
  [4] =>
  string(12) ""-71.013202""
  [5] =>
  string(4) ""-5""
  [6] =>
  string(4) ""1"\n"
}
*/
	$fields = explode(',', $line);
	if (!$fields) {
		var_dump("Error in line $line_no\n");
	}

	list($zip, $city, $state, $lat, $long, $tz, $dst) = $fields;
	$zip = trim($zip, '"');
	$lat = trim($lat, '"');
	$long = trim($long, '"');
	
	// add the + if needed
	if ($lat[0] != '-') {
		$lat = '+' . $lat;
	}

	echo "REPLACE into elgg_geocode_cache (`id`, `location`, `lat`, `long`) VALUES (NULL, '$zip', '$lat', '$long');\n";
}
