<?php
/**
 * Local changes for MFP
 *
 * @var unknown_type
 */

$english = array(
	'admin:administer_utilities:avatarrestore' => "Restore Avatars",
	'mfp:error:invalid_zip_code' => 'Invalid zip code.',
	'mfp:error:underage' => 'You must be 18 years or older to use this site.',
	'mfp:error:headline' => 'Please enter a headline.',
	'mfp:error:about_me' => 'Please enter a profile description.',
	'mfp:error:gender' => 'Please select a gender.',
	'mfp:error:seeking_gender' => 'Please choose at least one seeking gender.',
	'mfp:error:seeking_relationship' => 'Please choose at least one seeking relationship.',
	'mfp:error:state_nation' => 'Please choose your state or nation.',
	'mfp:unknown_age' => 'Log in to view this profile',

	'mfp:unvalidated_user' => 'You must validate your email address before logging in.',

	'mfp:imported_user' => 'Welcome to the new site!  Please check all the imported information below.',

	'mfp:recently_updated' => 'Recently Active Members',

	'mfp:newest_members' => 'Newest Members',

	'mfp:validate:cannot_validate' => 'Cannot validate your account.  Please check the link and try again.',

	'profile_manager:categories:list:default' => 'Basics',

	// widget
	'mfp_local:widget:profile_visitors' => 'Profile visitors',
	'mfp_local:widget:profile_visitors:desc' => 'See who has viewed your profile',
    	'registrationterms:agree' => 'I have read and agree to the <a href="%s" target="_blank">Terms of Service</a>',
	'avatar:upload:instructions' => "Your avatar is displayed throughout the site. You can change it as often as you like. Nude photos are not allowed, will be deleted, and your account will be removed if you post them. Please show your face, not your crotch. (File formats accepted: GIF, JPG or PNG)",
	'tidypics:uploader:instructs' => 'Nude photos are not allowed, will be deleted, and your account will be removed if you post them. There are three easy steps for adding photos to your album using this uploader: on this page you need to choose the photos to be uploaded first and then upload them in a second step. After the upload has finished you will be automatically redirected to a new page where you can enter titles and descriptions for the uploaded photos as the last step.<br><br> You can upload up to 10 photos at a time (%s MB maximum per photo).',

);

add_translation('en', $english);