<?php
/**
 * Logged out index view
 */

$options = array(
	'type' => 'user',
	'metadata_names' => 'icontime',
	'order_by' => 'e.time_updated desc',
	'full_view' => false,
	'limit' => 12,
	'list_type' => 'gallery',
	'list_type_toggle' => false,
	'pagination' => false,
	'item_class' => 'pas',
	'size' => 'small'
);

// newest
$entities = elgg_list_entities_from_metadata($options);
$recent_members = elgg_view_module('aside', 'Recently Active Members', $entities);

// over 18 notice
$text = "No one under the age of eighteen is allowed to use this free personals site.
	<a href=\"http://www.yahoo.com\">Click here</a> if you are under eighteen.<br />
	
	Please be careful of <a href=\"http://www.romancescam.com\">romance scam</a> artists. Don't give strangers money or personal info like your email address.";

$msg = elgg_view_module('aside', '100% Free and Always Will Be', $text);

$newest_entities = elgg_list_entities_from_metadata(array(
	'metadata_names' => 'icontime',
	'types' => 'user',
	'limit' => 12,
	'full_view' => false,
	'list_type' => 'gallery',
	'list_type_toggle' => false,
	'pagination' => false,
	'item_class' => 'pas',
	'size' => 'small'
));

$newest_members = elgg_view_module('aside', 'Newest Members', $newest_entities);

$search = elgg_view_module('aside', 'Search Profiles', elgg_view_form('mfp_search/search', array(
		'action' => '/search',
		'method' => 'get'
)));

$body = <<<___END
<div class="elgg-grid">
	<div class="elgg-col elgg-col-1of3">$search</div>
	<div class="elgg-col elgg-col-2of3">$newest_members $recent_members</div>
	<div class="elgg-col">$msg</div>
</div>
___END;

$sidebar = elgg_view_form("login");

$content = elgg_view('mfp_local/referring');

$sidebar .= elgg_view_module('aside', 'Top referring sites', $content, array(
	'class' => 'ptl center'
));

$content = elgg_view_layout('one_sidebar', array(
	'content' => $body,
	'sidebar' => $sidebar
));

echo elgg_view_page(null, $content);