<?php
	$icontime = elgg_get_plugin_setting('icontime', 'mfp_local');
	$fixed = 0;
	$count = 0;
	if ($icontime) {
		$fixed = elgg_get_plugin_setting('fixed'.$icontime, 'mfp_local');
		$count = elgg_get_plugin_setting('count'.$icontime, 'mfp_local');
		$finished = elgg_get_plugin_setting('finished'.$icontime, 'mfp_local');
	}
?>

<div class="elgg-output">
	Run this script to restore avatars to users missing the icontime metadata but who have profile
	images in the data directory.
	Note this could take a while and will run in the background.
	
	<br><br>
	Last script ran: <?php echo (int) $icontime; ?><br>
	Num fixed: <?php echo (int) $fixed; ?><br>
	Num checked: <?php echo (int) $count; ?>
	
	<br><br>
	Refresh to see current info if the script is still running
	<br><br>
	<?php
		if ($finished) {
			echo "This script has finished running";
		}
		else {
			echo "This script may still be running";
		}
	?>
</div>

<?php
echo '<div class="pam">';
echo elgg_view('output/url', array(
	'text' => 'Restore Avatars',
	'href' => 'action/mfp/avatarrestore',
	'is_action' => true,
	'confirm' => true,
	'class' => 'elgg-button elgg-button-action'
));
echo '</div>';