<?php
/**
 * Show newest matches on dashboard.
 */

$owner = elgg_get_page_owner_entity();

$options = array(
	'relationship' => 'profile_visit',
	'relationship_guid' => $owner->guid,
	'inverse_relationship' => true,
	'order_by' => 'r.time_created DESC',
	'count' => true
);

$count = elgg_get_entities_from_relationship($options);

$options['count'] = false;
$entities = elgg_get_entities_from_relationship($options);

// bah...we only normalize to array() in 1.8.
if (!is_array($entities)) {
	$entities = array();
}

echo elgg_view('mfp_search/base_widget_view', array(
	'sort' => 'newest',
	'entity' => $vars['entity'],
	'entities' => $entities,
	'count' => $count
));